문서로 건너뛰기
API

내보내기에 무엇이 담길지 보기

내보내기를 지금 시작할 수 있는지, 얼마나 담길지.

GET/exports/preview

워크스페이스에 실제 호출을 실행합니다.

GET /exports/preview

내보내기를 지금 시작할 수 있는지, 얼마나 담길지.

예시

threads:read가 필요합니다. allowed가 false이면 reason은 not-permitted, mailbox-login, two-factor-required 중 하나이고 counts는 null입니다. nextAvailableAt은 하루 제한이 유지되는 동안 설정되며, activeExportId는 아직 만들어지고 있는 내보내기를 가리킵니다.

curl
curl "$OE/exports/preview" -H "$AUTH"
응답
{  "object": "export_preview",  "allowed": true,  "reason": null,  "nextAvailableAt": null,  "activeExportId": null,  "counts": {    "threads": 18420,    "attachments": 6211,    "attachmentBytes": 1532871224,    "deletedFiles": 14,    "contacts": 912,    "audiences": 6,    "calendarEvents": 233,    "templates": 18,    "rules": 9,    "labels": 24,    "notes": 41,    "addresses": 7  }}

워크스페이스는 소유자나 모든 권한을 가진 역할의 멤버만 내보낼 수 있으며, API 키나 모든 주소로 연결된 앱을 사용합니다. 특정 주소나 도메인으로 제한된 키나 앱은 422 capability_unsupported입니다.

레퍼런스